Page MenuHomePhabricator

Undefined variable: bodyOnly in ApiVisualEditor
Closed, ResolvedPublic1 Story Points

Description

Spotted in production:

Notice: Undefined variable: bodyOnly in /srv/mediawiki/php-1.31.0-wmf.20/extensions/VisualEditor/ApiVisualEditor.php on line 140

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.31.0-wmf.20ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call
mediawiki/extensions/VisualEditor : masterApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

Event Timeline

demon triaged this task as Medium priority.Feb 9 2018, 11:14 PM
demon created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2018, 11:14 PM

Change 409439 had a related patch set uploaded (by Legoktm; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409439

Change 409439 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409439

Change 409630 had a related patch set uploaded (by Jforrester; owner: DLynch):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.20] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409630

Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 409630 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.20] ApiVisualEditor: Update getPreloadContent's parseWikitextFragment call

https://gerrit.wikimedia.org/r/409630

Mentioned in SAL (#wikimedia-operations) [2018-02-12T16:52:51Z] <demon@tin> Synchronized php-1.31.0-wmf.20/extensions/VisualEditor/ApiVisualEditor.php: T186934 (duration: 00m 57s)

demon closed this task as Resolved.Feb 12 2018, 4:54 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 12 2018, 4:54 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM